# xvc file track

## Purpose

`xvc file track` is used to register any kind of file to Xvc for tracking versions.

## Synopsis 

```text
{{#include xvc-file-track.txt}}
```

## Examples

By default, the command runs similar to `git add` and `git commit`. 

```shell
$ xvc file track my-large-image.jpeg
```

You can track directories with the same command. 

```shell
$ xvc file track my-large-directory/
```

You can specify more than one target in a single command. 

```shell
$ xvc file track my-large-image.jpeg my-large-directory
```


## Caveats

- This command doesn't discriminate symbolic links or hardlinks. 
Links are followed and any broken links may cause errors. 

- Under the hood, Xvc tracks only the files, not directories. 
Directories are considered as path collections.
Therefore it doesn't matter if you track a directory or files in it separately. 

## Technical Details

- Detecting changes in files and directories employ different kinds of [associated digests](/concepts/associated-digest.md).
If a file has different metadata digest, its content digest is calculated.
If file's content digest has changed, the file is considered changed.
A directory that contains different set of files, or files with changed content is considered changed.



